<?php
// Version: 1.1; MemberMap

// Edit your pin on the member map
function template_view()
{
	global $context, $options, $scripturl, $settings, $txt;

	echo '
<script language="javascript" type="text/javascript">
var lastID = \'\';
var lastGender = \'\';
var lastZ = \'\';
function memClick (id, gender, z)
{
	if (lastID)
	{
		lastID.src = \'', $settings['default_images_url'], '/maps/\' + lastGender + \'pin.gif\';
		lastID.style.zIndex = lastZ;
	}

	id.src = \'', $settings['default_images_url'], '/maps/\' + gender + \'pin_on.gif\';
	id.style.zIndex = 9999; // make sure the z-index is high enough to see

	// update to turn image to off next time
	lastID = id;
	lastGender = gender;
	lastZ = z;
}
</script>

<form method="post" action="', $scripturl, '?action=mm" name="mm">
<div style="text-align: center;">
<select name="mid">';

	foreach ($context['maps'] as $mid => $map)
	{
		echo '
<option value="', $mid, '"', $map['selected'], '>', $map['mapName'], ' (', $map['pins'], ')</option>';
	}

	echo '
</select>
<input type="submit" value="', $txt['mm_view'], '" />
</div>
<div style="text-align: center; font-variant: small-caps; font-weight: bold; padding: 5px; font-size: larger;"><a href="' . $scripturl . '?action=mm;sa=edit">' , $txt['mm_place_pin'], '</a></div>
<input type="hidden" name="lastID" value="" />
<input type="hidden" name="lastGender" value="" />
</form>

<div style="text-align: center;">
<img src="', $settings['default_images_url'], '/maps/', $context['map']['mapFile'], '" id="map" width="', $context['map']['width'], '" height="', $context['map']['height'], '" style="z-index: 0; position: relative;" />';
	$count = 1;
	foreach ($context['pins'] as $pid => $pin)
	{
		echo '
<a href="', $scripturl, '?action=profile;u=', $pid, '"><img src="', $settings['default_images_url'], '/maps/', $pin['gender'], 'pin.gif" id="p', $pid, '" style="z-index: ', $count++, '; position: absolute;" alt="." title="', $pin['text'], '" onload="fixPin(document.images.p', $pid , ', ', $pin['xPin'], ', ', $pin['yPin'], ');" border="0" /></a>';
	}
	echo '
</div>

<p style="margin: auto; padding: 5px; width: ', $context['map']['width'], 'px;">';
	if (!empty($context['pins']))
		echo '
<b>', $txt['mm_user_listing'], ':</b>';
	$last_flag = '';
	$count = 1;
	foreach ($context['pins'] as $pid => $pin)
	{
		if ($last_flag != $pin['ccode'])
			echo '
<br />
<img src="', $settings['default_images_url'], '/flags/', $pin['ccode'], '.png" width="25" height="15" align="middle" alt="', $pin['country'], '" title="', $pin['country'], '" /> <a href="javascript:memClick(document.images.p', $pid, ', ', $pin['gender'], ');" title="', $txt['mm_click_highlight'], '">', $pin['name'], '</a>';
		else
			echo ', <a href="javascript:memClick(document.images.p', $pid, ', ', $pin['gender'], ', ', $count++, ');" title="', $txt['mm_click_highlight'], '">', $pin['name'], '</a>';

		$last_flag = $pin['ccode'];
	}
	echo '
</p>';
}

// Edit your pin on the member map
function template_edit()
{
	global $context, $options, $scripturl, $settings, $txt;

	echo '
<script language="javascript" type="text/javascript">
function viewMap ()
{
	var map = document.mm.mid.options[document.mm.mid.selectedIndex].value;';

	foreach ($context['maps'] as $mid => $map)
	{
		echo '
	if (map == \'', $mid, '\')
		{w = ', ($map['xEnd'] - $map['xStart']) * $map['scale'], '; h = ', ($map['yEnd'] - $map['yStart']) * $map['scale'], '; x = ', $map['xStart'], '; y = ', $map['yStart'], '; mapFile = \'', $map['mapFile'], '\'; scale = \'', $map['scale'], '\'}';
	}

	echo '

	// set the new map properties
	document.images.map.src = \'', $settings['default_images_url'], '/blank.gif\';
	document.images.map.src = \'', $settings['default_images_url'], '/maps/\' + mapFile;
	document.images.map.width = w;
	document.images.map.height = h;
	document.mm.wMap.value = w;
	document.mm.hMap.value = h;
	document.mm.xMap.value = x;
	document.mm.yMap.value = y;
	document.mm.ID_MAP.value = map;
	document.mm.scale.value = scale;

	if (map == ', $context['map']['ID_MAP'], ')
	{
		document.images.mypin.style.visibility = \'visible\';
		document.mm.xCur.value = \'', $context['mypin']['xCur'], '\';
		document.mm.yCur.value = \'', $context['mypin']['yCur'], '\';
	}
	else
	{
		document.images.mypin.style.visibility = \'hidden\';
		document.mm.xCur.value = \'\';
		document.mm.yCur.value = \'\';
	}

	// reset pin location
	document.mm.xPin.value = \'\';
	document.mm.yPin.value = \'\';
	document.images.pin.style.visibility = \'hidden\';
}
function showFlag()
{
	document.images.flag.src = \'', $settings['default_images_url'], '/flags/\' + document.mm.country.options[document.mm.country.selectedIndex].value + \'.png\';
}
</script>

<form method="post" action="', $scripturl, '?action=mm;sa=edit2" name="mm">
<p style="text-align: center;">
<select name="mid" onchange="viewMap()">';

	foreach ($context['maps'] as $mid => $map)
	{
		echo '
<option value="', $mid, '"', $map['selected'], '>', $map['mapName'], ' (', $map['pins'], ')</option>';
	}

	echo '
</select>
</p>
<p style="text-align: center;">
<b>', $txt['mm_city'], ':</b> <input type="input" name="city" value="', $context['mypin']['city'], '" />
<select name="country" onchange="showFlag()">';
	foreach ($context['countries'] as $cid => $country)
	{
		echo '
 <option value="', $cid, '"', $country['selected'], '>', $country['name'], '</option>';
	}
	echo '
</select>
<img id="flag" src="', $settings['default_images_url'], '/flags/', $context['mypin']['country'], '.png" width="25" height="15" align="middle" />
<br />
<input type="submit" name="save" value="', $txt['mm_savepin'], '" />
<input type="submit" name="remove" value="', $txt['mm_removepin'], '" ', empty($context['mypin']['ID_MEMBER']) ? 'disabled="disabled"' : '', '/>
</p>

<div style="text-align: center;" onclick="placePin(event);">
<img src="', $settings['default_images_url'], '/maps/', $context['map']['mapFile'], '" id="map" width="', $context['map']['width'], '" height="', $context['map']['height'], '" style="z-index: 0; position: relative; cursor: crosshair;" />
<img src="', $settings['default_images_url'], '/maps/', $context['mypin']['gender'], 'pin.gif" id="mypin" style="z-index: 1; position: absolute; visibility: hidden;" onload="fixPin(document.images.mypin, ', $context['mypin']['xPin'], ', ', $context['mypin']['yPin'], ');" />
<img src="', $settings['default_images_url'], '/maps/dot.gif" id="pin" style="z-index: 2; position: absolute; visibility: hidden;" />
</div>

<input type="hidden" name="xPin" value="" />
<input type="hidden" name="yPin" value="" />
<input type="hidden" name="xCur" value="', $context['mypin']['xCur'], '" />
<input type="hidden" name="yCur" value="', $context['mypin']['yCur'], '" />
<input type="hidden" name="wMap" value="', $context['map']['width'], '" />
<input type="hidden" name="hMap" value="', $context['map']['height'], '" />
<input type="hidden" name="xMap" value="', $context['map']['xStart'], '" />
<input type="hidden" name="yMap" value="', $context['map']['yStart'], '" />
<input type="hidden" name="ID_MAP" value="', $context['map']['ID_MAP'], '" />
<input type="hidden" name="scale" value="', $context['map']['scale'], '" />

</form>';
}

// admin the member map
function template_mm_admin ()
{
	global $context, $scripturl, $txt, $modSettings;

	echo '
		<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder">
			<tr class="titlebg">
				<td>', $txt['mm_mm'], '</td>
			</tr><tr>
				<td class="windowbg2">

<form action="', $scripturl, '?action=mm;sa=admin" method="post" style="margin: 0;">

<p>
', $txt['mm_which_default'], '

<select name="mm_default">';

	foreach ($context['mm_maps'] as $map)
	{
		if ($map['visible'])
		{
			echo '
	<option value="', $map['ID_MAP'], '"', $map['ID_MAP'] == $modSettings['mm_default'] ? 'selected="selected"' : '', '>', $map['mapName'], '</option>';
		}
	}

	echo '
</select>
</p>

<table border="0" align="center" cellspacing="1" cellpadding="4" class="bordercolor" width="100%">
	<tr>
		<th>', $txt['mm_current_maps'], '</th>
	</tr>
	<tr class="titlebg">
		<td>', $txt['mm_id'], '</td>
		<td>', $txt['mm_image'], '</td>
		<td>', $txt['mm_name'], '</td>
		<td>', $txt['mm_xstart'], '</td>
		<td>', $txt['mm_xend'], '</td>
		<td>', $txt['mm_ystart'], '</td>
		<td>', $txt['mm_yend'], '</td>
		<td>', $txt['mm_scale'], '</td>
		<td>', $txt['mm_visible'], '</td>
	</tr>';

	$alternate = false;
	foreach ($context['mm_maps'] as $map)
	{
		echo '
	<tr class="', $alternate ? 'windowbg' : 'windowbg2', '">
		<td>', $map['ID_MAP'], '</td>
		<td>', $map['mapFile'], '</td>
		<td><input type="text" name="mapName[', $map['ID_MAP'], ']" value="', $map['mapName'], '" size="30" /></td>
		<td>', $map['xStart'], '</td>
		<td>', $map['xEnd'], '</td>
		<td>', $map['yStart'], '</td>
		<td>', $map['yEnd'], '</td>
		<td>', $map['scale'], '</td>
		<td><input type="checkbox" name="visible[', $map['ID_MAP'], ']" ', $map['visible'] ? ' checked="checked"' : '', ' /></td>
	</tr>';

		$alternate = !$alternate;
	}

	echo '
</table>
<div style="text-align: right; padding: 5px;"><input type="submit" value="', $txt[10], '" /></div>
</form>

				</td>
			</tr>
		</table>';
}

?>